//
//  UserCardComponent.swift
//  jason
//
//  Created by Jason on 2024/1/16.
//

import SwiftUI

struct UserCardComponent: View {

    var body: some View {
        VStack (alignment: .leading, spacing: 8, content: {
            Spacer()
            Image("Images/logo")
                .resizable(resizingMode: /*@START_MENU_TOKEN@*/.stretch/*@END_MENU_TOKEN@*/)
                .aspectRatio(contentMode: .fit)
                .cornerRadius(8)
                .frame(width: 64,height: 64)
            Text("Jason.Chen")
                .font(.largeTitle)
                .foregroundColor(Color("ReversColor"))
            Text("PlaceholderPlaceholderPlaceholderPlaceholderPlaceholderPlaceholderPlaceholderPlaceholderPlaceholderPlaceholderPlaceholderPlaceholderPlaceholderPlaceholder")
                .font(.headline)
                .foregroundColor(Color("ReversColor"))
                .lineLimit(2)
                .multilineTextAlignment(/*@START_MENU_TOKEN@*/.leading/*@END_MENU_TOKEN@*/)
        })
        .padding(.all, 20)
        .frame(height: 300)
        .background(Image("Images/banner2").resizable().aspectRatio(contentMode: .fill))
//      .background(.ultraThinMaterial)
        .cornerRadius(10)
        .shadow(radius: 20)
        .padding(.horizontal, 10)
    }
}

#Preview {
    UserCardComponent()
}
